
From: Christian Borntraeger <cborntra@de.ibm.com>

vmcp_write uses GPF_DMA for the memory allocation of the response buffer, so
it can use the low level function __cpcmd directly, no need to call the
wrapper.

Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/s390/char/vmcp.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/s390/char/vmcp.c~s390-use-__cpcmd-in-vmcp_write drivers/s390/char/vmcp.c
--- 25/drivers/s390/char/vmcp.c~s390-use-__cpcmd-in-vmcp_write	Mon Jul 11 16:37:38 2005
+++ 25-akpm/drivers/s390/char/vmcp.c	Mon Jul 11 16:37:38 2005
@@ -115,9 +115,9 @@ vmcp_write(struct file *file, const char
 		return -ENOMEM;
 	}
 	debug_text_event(vmcp_debug, 1, cmd);
-	session->resp_size = cpcmd(cmd, session->response,
-				   session->bufsize,
-				   &session->resp_code);
+	session->resp_size = __cpcmd(cmd, session->response,
+				     session->bufsize,
+				     &session->resp_code);
 	up(&session->mutex);
 	kfree(cmd);
 	*ppos = 0;		/* reset the file pointer after a command */
_
